# $Revision: 1.28 $, $Date: 2012/05/18 11:42:37 $
Summary:	Verve plugin for Xfce panel
Summary(pl.UTF-8):	Wtyczka Verve dla panelu Xfce
Name:		xfce4-verve-plugin
Version:	1.0.0
Release:	5
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-verve-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	ed7039c40d6e560ed8bcf9a324d2ae86
Patch0:		%{name}-ui.patch
Patch1:		ac-fix.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/verve-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	exo-devel >= 0.5.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
Obsoletes:	xfce4-minicmd-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Verve plugin is a comfortable command line plugin for the Xfce panel.
It supports several nice features, such as:
- command history
- auto-completion (including command history)
- open URLs and e-mail addresses in your favourite applications
- focus grabbing via D-BUS
- custom input field width

%description -l pl.UTF-8
Wtyczka Verve to wtyczka wygodnej linii poleceń dla panelu Xfce.
Obsługuje kilka przyjemnych elementów, takich jak:
- historię poleceń
- automatyczne dopełnianie (wraz z historią poleceń)
- otwieranie URL-i i adresów e-mail w ulubionych aplikacjach
- przechwytywanie ogniska poprzez D-BUS
- ustawialną szerokość pola wprowadzania

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/verve-focus
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-verve-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-verve-plugin.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-verve-plugin.spec,v $
Revision 1.28  2012/05/18 11:42:37  baggins
- rel 5
- fix autocrap by removing invocation of non-existing macro

Revision 1.27  2012/05/17 23:26:35  baggins
- todo

Revision 1.26  2012/05/17 23:25:50  baggins
- disable patch porting to libxfce4ui due to:
  grep: po/Makefile.in: No such file or directory
  config.status: error: po/Makefile.in.in was not created by intltoolize.

Revision 1.25  2012/05/17 23:07:18  baggins
- nothing static here

Revision 1.24  2012/05/17 22:54:13  baggins
- change order?

Revision 1.23  2012/05/17 22:50:39  baggins
- let make rebuild it

Revision 1.22  2012/05/17 22:48:34  baggins
- disable ui patch

Revision 1.21  2012/05/17 22:46:51  baggins
- use autoreconf

Revision 1.20  2012/05/17 22:43:56  baggins
- no autopoint

Revision 1.19  2012/05/17 22:36:40  baggins
- try some workaround

Revision 1.18  2012/05/17 22:28:10  baggins
- no libtoolize

Revision 1.17  2012/05/17 22:18:44  baggins
- try again

Revision 1.16  2012/05/17 22:08:30  baggins
- what happens to po/Makefile.in.in?

Revision 1.15  2012/05/17 22:05:43  baggins
- test

Revision 1.14  2012/05/17 22:04:01  baggins
- test

Revision 1.13  2012/05/17 21:58:32  baggins
- test

Revision 1.12  2012/05/17 21:49:20  baggins
- trying to find out what's needed

Revision 1.11  2012/05/17 21:48:05  baggins
- test2

Revision 1.10  2012/05/17 21:44:37  baggins
- test

Revision 1.9  2012/05/17 20:23:02  baggins
- release 4

Revision 1.8  2012/03/28 07:23:56  arekm
- release 3

Revision 1.7  2011/03/01 12:49:27  baggins
- rel 2
- port to libxfce4ui

Revision 1.6  2011/02/15 13:48:10  megabajt
- updated to 1.0.0

Revision 1.5  2009/03/01 19:51:36  megabajt
- updated to 0.3.6

Revision 1.4  2007/12/08 16:14:03  megabajt
- release 2

Revision 1.3  2007-02-13 22:22:00  qboosh
- pl

Revision 1.2  2007/01/27 19:04:51  megabajt
- Obsoletes: xfce4-minicmd-plugin

Revision 1.1  2007/01/27 18:12:30  megabajt
- new
